import csv

tab_donnees = []
nb_total = []
d={}

with open("nat2022.csv", newline ='', encoding="utf-8") as csvfile:
    donnees = csv.DictReader(csvfile, delimiter= ";")
    for ligne in donnees:
        tab_donnees.append(dict(ligne))
for ligne in tab_donnees:
    ligne["nombre"] = int(ligne["nombre"])

def cle_nombre (p):
    return p['nombre']
tab_donnees.sort(key=tab_donnees, reverse = True)


print(tab_donnees)